%define upstream_name    Pod-Weaver-Section-AllowOverride
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Allow POD to override a Pod::Weaver-provided section
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(PPI)
BuildRequires: perl(Pod::Elemental::Document)
BuildRequires: perl(Pod::Elemental::MakeSelector)
BuildRequires: perl(Pod::Weaver)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildRequires: perl(Pod::Weaver::Role::Transformer)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
Sometimes, you might want to override a normally-generic section in one of
your modules. This section plugin replaces the preceding section with the
corresponding section taken from your POD (if it exists). If your POD
doesn't contain a matching section, then the Pod::Weaver-provided one will
be used.

Both the original section in your POD and the section provided by
Pod::Weaver must match the 'header_re'. Also, this plugin must immediately
follow the section you want to replace (unless you set 'match_anywhere' to
a true value).

It's a similar idea to the Pod::Weaver::Role::SectionReplacer manpage,
except that it works the other way around. SectionReplacer replaces the
section from your POD with a section provided by Pod::Weaver.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.json META.yml LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.50.0-3pclos2017
- rebuild against updates

